NativeExecutableBinarySpec (Gradle API 4.7)
Date: 2018-04-18

org.gradle.nativeplatform

## Interface NativeExecutableBinarySpec

- All Superinterfaces:
    ApplicationBinarySpec, Binary, BinarySpec, Buildable, BuildableComponentSpec, CheckableComponentSpec, ComponentSpec, ModelElement, Named, NativeBinarySpec

      @Incubating
      public interface NativeExecutableBinarySpec
      extends NativeBinarySpec, ApplicationBinarySpec

  An binary built by Gradle for a native application.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `NativeExecutableBinarySpec.TasksCollection` Provides access to key tasks used for building the binary.

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `NativeExecutableSpec` | `getApplication()` The application that this binary belongs to.
    `NativeExecutableSpec` | `getComponent()` The component that this binary was built from.
    `NativeExecutableFileSpec` | `getExecutable()` Native Executable File.
    `NativeInstallationSpec` | `getInstallation()` Native Installation location for a native executable.
    `NativeExecutableBinarySpec.TasksCollection` | `getTasks()` The set of tasks associated with this binary.

    - ### Methods inherited from interface org.gradle.nativeplatform.NativeBinarySpec

      `getAssembler, getBuildType, getcCompiler, getCppCompiler, getFlavor, getLibs, getLinker, getObjcCompiler, getObjcppCompiler, getRcCompiler, getStaticLibArchiver, getTargetPlatform, getToolChain, lib`

    - ### Methods inherited from interface org.gradle.platform.base.BinarySpec

      `getInputs, getSources, isBuildable`

    - ### Methods inherited from interface org.gradle.api.BuildableComponentSpec

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.CheckableComponentSpec

      `checkedBy, getCheckTask, setCheckTask`

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getProjectPath`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName, getName`

    - ### Methods inherited from interface org.gradle.platform.base.Binary

      `getDisplayName`

- - ### Method Detail

    - #### getApplication

          NativeExecutableSpec getApplication()

      The application that this binary belongs to.
      Specified by:
        `getApplication` in interface `ApplicationBinarySpec`

    - #### getComponent

          NativeExecutableSpec getComponent()

      The component that this binary was built from.
      Specified by:
        `getComponent` in interface `NativeBinarySpec`

    - #### getInstallation

          NativeInstallationSpec getInstallation()

      Native Installation location for a native executable.

    - #### getExecutable

          NativeExecutableFileSpec getExecutable()

      Native Executable File.

    - #### getTasks

          NativeExecutableBinarySpec.TasksCollection getTasks()

      The set of tasks associated with this binary.
      Specified by:
        `getTasks` in interface `BinarySpec`